"""
Container class to store models

Author: Dieter De Hen
"""

class ModelNode(object):

  def __init__(self, parameters):
    self.__inConnections = []		# list of all nodes that are connected to this node (in)
    self.__outConnections = []		# list of all nodes that are connected to this node (out)
    self.__parameters = parameters	# dictionairy of all parameters for this node
    self.__matched = False		# flag to bookmark if this node has been matched
  
  def get_inConnections(self):
    return self.__inConnections
  
  def set_inConnections(self, inConnections):
    self.__inConnections = inConnections
  
  def add_inConnection(self, inConnection):
    self.__inConnections.append(inConnection)
  
  def remove_inConnection(self, inConnection):
    self.__inConnections.remove(inConnection)
  
  def get_outConnections(self):
    return self.__outConnections
  
  def set_outConnections(self, outConnections):
    self.__outConnections = outConnections
  
  def add_outConnection(self, outConnection):
    self.__outConnections.append(outConnection)
  
  def remove_outConnection(self, outConnection):
    self.__outConnections.remove(outConnection)
  
  def get_parameters(self):
    return self.__parameters
  
  def add_parameters(self, parameters):
    self.__parameters.update(parameters)
  
  def set_parameters(self, parameters):
    self.__parameters = parameters
  
  def get_matched(self):
    return self.__matched
  
  def set_matched(self, matched):
    self.__matched = matched
  
  #__inConnections = property(get_inConnections, set_inConnections)
  #__outConnections = property(get_outConnections, set_outConnections)
  #__parameters = property(get_parameters)
  #__matched = property(get_matched, set_matched)

class ModelContainer(object):

  def __init__(self):
    self.__nodes = []			# list of nodes
  
  def get_nodes(self):
    return self.__nodes
  
  def set_nodes(self, nodes):
    self.__nodes = nodes
  
  def add_nodes(self, nodes):
    self.__nodes.extend(nodes)
  
  #__nodes = property(get_nodes, set_nodes)
