"""
GraphGrammar_GG

Author: Dieter De Hen
"""
import random

from ContainerFunctionality import *

class GraphGrammar_GG(object):
  
  def __init__(self):
    self.__model = ModelContainer()
    
    # Nodes
    
    self.__obj22 = ModelNode({'type':'TP_Rule', 'name':'RoadToPN2a_RULE'})
    self.__model.get_nodes().append(self.__obj22)
    
    self.__obj23 = ModelNode({'type':'TP_Rule', 'name':'RoadToPN3a_RULE'})
    self.__model.get_nodes().append(self.__obj23)
    
    self.__obj24 = ModelNode({'type':'TP_Rule', 'name':'JoinToPN4a_RULE'})
    self.__model.get_nodes().append(self.__obj24)
    
    self.__obj25 = ModelNode({'type':'TP_Rule', 'name':'Split7a_RULE'})
    self.__model.get_nodes().append(self.__obj25)
    
    self.__obj26 = ModelNode({'type':'TP_Rule', 'name':'RoadToJoin5a_RULE'})
    self.__model.get_nodes().append(self.__obj26)
    
    self.__obj27 = ModelNode({'type':'TP_Rule', 'name':'SplitToRoad6a_RULE'})
    self.__model.get_nodes().append(self.__obj27)
    
    self.__obj28 = ModelNode({'type':'TP_Rule', 'name':'JoinToRoad8a_RULE'})
    self.__model.get_nodes().append(self.__obj28)
    
    self.__obj29 = ModelNode({'type':'TP_Rule', 'name':'RoadToSplit9a_RULE'})
    self.__model.get_nodes().append(self.__obj29)
    
    self.__obj30 = ModelNode({'type':'TP_NextRule'})
    self.__model.get_nodes().append(self.__obj30)
    
    self.__obj31 = ModelNode({'type':'TP_NextRule'})
    self.__model.get_nodes().append(self.__obj31)
    
    self.__obj32 = ModelNode({'type':'TP_NextRule'})
    self.__model.get_nodes().append(self.__obj32)
    
    self.__obj33 = ModelNode({'type':'TP_NextRule'})
    self.__model.get_nodes().append(self.__obj33)
    
    self.__obj34 = ModelNode({'type':'TP_NextRule'})
    self.__model.get_nodes().append(self.__obj34)
    
    self.__obj35 = ModelNode({'type':'TP_NextRule'})
    self.__model.get_nodes().append(self.__obj35)
    
    self.__obj36 = ModelNode({'type':'TP_NextRule'})
    self.__model.get_nodes().append(self.__obj36)
    
    # Node connections
    
    self.__obj22.get_outConnections().append(self.__obj30)
    
    self.__obj23.get_inConnections().append(self.__obj30)
    self.__obj23.get_outConnections().append(self.__obj31)
    
    self.__obj24.get_inConnections().append(self.__obj31)
    self.__obj24.get_outConnections().append(self.__obj32)
    
    self.__obj25.get_inConnections().append(self.__obj32)
    self.__obj25.get_outConnections().append(self.__obj33)
    
    self.__obj26.get_inConnections().append(self.__obj33)
    self.__obj26.get_outConnections().append(self.__obj34)
    
    self.__obj27.get_inConnections().append(self.__obj34)
    self.__obj27.get_outConnections().append(self.__obj35)
    
    self.__obj28.get_inConnections().append(self.__obj35)
    self.__obj28.get_outConnections().append(self.__obj36)
    
    self.__obj29.get_inConnections().append(self.__obj36)
    
    self.__obj30.get_inConnections().append(self.__obj22)
    self.__obj30.get_outConnections().append(self.__obj23)
    
    self.__obj31.get_inConnections().append(self.__obj23)
    self.__obj31.get_outConnections().append(self.__obj24)
    
    self.__obj32.get_inConnections().append(self.__obj24)
    self.__obj32.get_outConnections().append(self.__obj25)
    
    self.__obj33.get_inConnections().append(self.__obj25)
    self.__obj33.get_outConnections().append(self.__obj26)
    
    self.__obj34.get_inConnections().append(self.__obj26)
    self.__obj34.get_outConnections().append(self.__obj27)
    
    self.__obj35.get_inConnections().append(self.__obj27)
    self.__obj35.get_outConnections().append(self.__obj28)
    
    self.__obj36.get_inConnections().append(self.__obj28)
    self.__obj36.get_outConnections().append(self.__obj29)
    
  def get_model(self):
    return self.__model
  
  def get_GG( self ):
    # Start nodes without in connection
    startNodes = []
    for s in self.__model.get_nodes():
      if s.get_parameters()['type'] == 'TP_Rule':
        inConnectionCount = 0
        for inConnection in s.get_inConnections():
          inConnectionCount = inConnectionCount + 1
        if inConnectionCount == 0:
          startNodes.append(s)
    # If no start nodes found, use all nodes in model.
    if len(startNodes) == 0:
      for s in self.__model.get_nodes():
        if s.get_parameters()['type'] == 'TP_Rule':
          startNodes.append(s)
    gg = random.sample(startNodes, 1)
    return self.__buildGG(gg)
  
  def __buildGG( self , gg ):
    lastIndex = len(gg)-1
    if lastIndex >= 0:
      if gg[lastIndex].get_parameters()['type'] == 'TP_Rule' and len(gg[lastIndex].get_outConnections()) > 0:
        next = random.sample(gg[lastIndex].get_outConnections(), 1)
        if next[0].get_parameters()['type'] == 'TP_NextRule' and len(next[0].get_outConnections()) > 0:
          # a nextrule can only be connectect to one rule
          if next[0].get_outConnections()[0].get_parameters()['type'] == 'TP_Rule':
            gg.append(next[0].get_outConnections()[0]) 
            return self.__buildGG(gg)
    return gg
