"""
JoinToPN4a_RULE

Author: Dieter De Hen
"""

import copy
from ContainerFunctionality import *

class JoinToPN4a_RULE(object):
  
  def __init__(self):
    self.__lhsModel = ModelContainer()
    self.__rhsModel = ModelContainer()
    
    # LHS nodes
    
    self.__obj49 = ModelNode({'type':'T_ForkJoin', 'label':'1'})
    self.__lhsModel.get_nodes().append(self.__obj49)
    
    # RHS nodes
    
    self.__obj45 = ModelNode({'type':'PN_Place', 'tokens':0, 'name':'', 'label':'3'})
    self.__rhsModel.get_nodes().append(self.__obj45)
    
    self.__obj46 = ModelNode({'type':'PN_Place', 'tokens':0, 'name':'', 'label':'2'})
    self.__rhsModel.get_nodes().append(self.__obj46)
    
    self.__obj47 = ModelNode({'type':'PN_Place', 'tokens':0, 'name':'', 'label':'4'})
    self.__rhsModel.get_nodes().append(self.__obj47)
    
    self.__obj50 = ModelNode({'type':'T_ForkJoin', 'label':'1'})
    self.__rhsModel.get_nodes().append(self.__obj50)
    
    self.__obj52 = ModelNode({'type':'PN_ToTrans', 'label':'6'})
    self.__rhsModel.get_nodes().append(self.__obj52)
    
    self.__obj53 = ModelNode({'type':'PN_ToTrans', 'label':'7'})
    self.__rhsModel.get_nodes().append(self.__obj53)
    
    self.__obj54 = ModelNode({'type':'PN_FromTrans', 'label':'8'})
    self.__rhsModel.get_nodes().append(self.__obj54)
    
    self.__obj48 = ModelNode({'type':'PN_Transition', 'name':'', 'label':'5'})
    self.__rhsModel.get_nodes().append(self.__obj48)
    
    # Generic nodes
    
    self.__obj55 = ModelNode({'type':'GenericGraphNode'})
    self.__rhsModel.get_nodes().append(self.__obj55)
    
    self.__obj56 = ModelNode({'type':'GenericGraphNode'})
    self.__rhsModel.get_nodes().append(self.__obj56)
    
    self.__obj57 = ModelNode({'type':'GenericGraphNode'})
    self.__rhsModel.get_nodes().append(self.__obj57)
    
    self.__obj58 = ModelNode({'type':'GenericGraphNode'})
    self.__rhsModel.get_nodes().append(self.__obj58)
    
    self.__obj59 = ModelNode({'type':'GenericGraphEdge'})
    self.__rhsModel.get_nodes().append(self.__obj59)
    
    self.__obj60 = ModelNode({'type':'GenericGraphEdge'})
    self.__rhsModel.get_nodes().append(self.__obj60)
    
    self.__obj61 = ModelNode({'type':'GenericGraphEdge'})
    self.__rhsModel.get_nodes().append(self.__obj61)
    
    self.__obj62 = ModelNode({'type':'GenericGraphEdge'})
    self.__rhsModel.get_nodes().append(self.__obj62)
    
    self.__obj63 = ModelNode({'type':'GenericGraphEdge'})
    self.__rhsModel.get_nodes().append(self.__obj63)
    
    self.__obj64 = ModelNode({'type':'GenericGraphEdge'})
    self.__rhsModel.get_nodes().append(self.__obj64)
    
    self.__obj65 = ModelNode({'type':'GenericGraphEdge'})
    self.__rhsModel.get_nodes().append(self.__obj65)
    
    self.__obj66 = ModelNode({'type':'GenericGraphEdge'})
    self.__rhsModel.get_nodes().append(self.__obj66)
    
    # LHS node connections
    
    
    # RHS node connections
    
    self.__obj45.get_inConnections().append(self.__obj62)
    self.__obj45.get_outConnections().append(self.__obj52)
    
    self.__obj46.get_inConnections().append(self.__obj60)
    self.__obj46.get_outConnections().append(self.__obj53)
    
    self.__obj47.get_inConnections().append(self.__obj54)
    self.__obj47.get_inConnections().append(self.__obj66)
    
    self.__obj50.get_outConnections().append(self.__obj59)
    self.__obj50.get_outConnections().append(self.__obj61)
    self.__obj50.get_outConnections().append(self.__obj63)
    self.__obj50.get_outConnections().append(self.__obj65)
    
    self.__obj52.get_inConnections().append(self.__obj45)
    self.__obj52.get_outConnections().append(self.__obj48)
    
    self.__obj53.get_inConnections().append(self.__obj46)
    self.__obj53.get_outConnections().append(self.__obj48)
    
    self.__obj54.get_inConnections().append(self.__obj48)
    self.__obj54.get_outConnections().append(self.__obj47)
    
    self.__obj48.get_inConnections().append(self.__obj52)
    self.__obj48.get_inConnections().append(self.__obj53)
    self.__obj48.get_inConnections().append(self.__obj64)
    self.__obj48.get_outConnections().append(self.__obj54)
    
    # Generic node connections
    
    self.__obj55.get_inConnections().append(self.__obj59)
    self.__obj55.get_outConnections().append(self.__obj60)
    
    self.__obj56.get_inConnections().append(self.__obj65)
    self.__obj56.get_outConnections().append(self.__obj66)
    
    self.__obj57.get_inConnections().append(self.__obj63)
    self.__obj57.get_outConnections().append(self.__obj64)
    
    self.__obj58.get_inConnections().append(self.__obj61)
    self.__obj58.get_outConnections().append(self.__obj62)
    
    self.__obj59.get_inConnections().append(self.__obj50)
    self.__obj59.get_outConnections().append(self.__obj55)
    
    self.__obj60.get_inConnections().append(self.__obj55)
    self.__obj60.get_outConnections().append(self.__obj46)
    
    self.__obj61.get_inConnections().append(self.__obj50)
    self.__obj61.get_outConnections().append(self.__obj58)
    
    self.__obj62.get_inConnections().append(self.__obj58)
    self.__obj62.get_outConnections().append(self.__obj45)
    
    self.__obj63.get_inConnections().append(self.__obj50)
    self.__obj63.get_outConnections().append(self.__obj57)
    
    self.__obj64.get_inConnections().append(self.__obj57)
    self.__obj64.get_outConnections().append(self.__obj48)
    
    self.__obj65.get_inConnections().append(self.__obj50)
    self.__obj65.get_outConnections().append(self.__obj56)
    
    self.__obj66.get_inConnections().append(self.__obj56)
    self.__obj66.get_outConnections().append(self.__obj47)
    
  def match(self, model):
    nac = False
    for lhsRuleNode in self.__lhsModel.get_nodes():
      for node in model.get_model().get_nodes():
        nacMatched = False
        for rhsRuleNode in self.__rhsModel.get_nodes():
          if self.__matchNode(rhsRuleNode, node):
            nacMatched = True
            nac = True
          for n in model.get_model().get_nodes():
            n.set_matched(False)
            if n.get_parameters().has_key('label'):
              del n.get_parameters()['label'] 
          for n in self.__rhsModel.get_nodes():
            n.set_matched(False)
          if nacMatched:
            break
        if nacMatched:
          continue
        if self.__matchNode(lhsRuleNode, node):
          for n in self.__lhsModel.get_nodes():
            n.set_matched(False)
          print 'LHS rule matched'
          self.__transform(model.get_model())
          print 'Model transformed'
          return True
        for n in self.__lhsModel.get_nodes(): 
          n.set_matched(False)
    if nac:
      print 'NAC matched'
    else:
      print 'No match for LHS rule'
    return False
  
  def __matchNode(self, ruleNode, node):
    """
    Try to recursively match a ruleNode on a node
    """
    attributesMatched = True
    for attribute in ruleNode.get_parameters():
      # Ignore these
      if attribute == 'label' or ruleNode.get_parameters()[attribute] == '<ANY>' or ruleNode.get_parameters()[attribute] == '':
        continue
      nodeAttribute = attribute
      if attribute.endswith('_constraint'):
        nodeAttribute = attribute.split('_constraint')[0]
      if node.get_parameters().has_key(nodeAttribute):
        if str(node.get_parameters()[nodeAttribute]) != str(ruleNode.get_parameters()[attribute]):
          attributesMatched = False
          break
    if attributesMatched:
      # The rule's node and the models node match
      node.set_matched(True) 
      ruleNode.set_matched(True) 
      
      # Match the in_connections
      for inConnection1 in ruleNode.get_inConnections():
        if not inConnection1.get_matched():
          match = False
          for inConnection2 in node.get_inConnections():
            if not inConnection2.get_matched():
              if self.__matchNode(inConnection1, inConnection2):
                match = True
                break
          if match:
            continue
          node.set_matched(False) 
          ruleNode.set_matched(False)
          return False
      
      # Match the out_connections
      for outConnection1 in ruleNode.get_outConnections():
        if not outConnection1.get_matched():
          match = False
          for outConnection2 in node.get_outConnections():
            if not outConnection2.get_matched():
              if self.__matchNode(outConnection1, outConnection2):
                match = True
                break
          if match:
            continue
          node.set_matched(False) 
          ruleNode.set_matched(False)
          return False
      
      # Set the matching label for this node
      if ruleNode.get_parameters().has_key('label'):
        node.get_parameters()['label'] = ruleNode.get_parameters()['label']
      
      return True
    else:
      #print 'no match for ', ruleNode.get_parameters()
      return False
  
  def __transform(self, model):
    """
    Try to transform a model
    """
    # First make the newModelPart by using the rhs model
    newModelPart = copy.deepcopy(self.__rhsModel)
    
    modelNodes = copy.copy(model.get_nodes())
    # Make sure all connections are ok
    for newNode in newModelPart.get_nodes():
      if newNode.get_parameters().has_key('label'):
        for node in modelNodes:
          if node.get_parameters().has_key('label'):
            if newNode.get_parameters()['label'] == node.get_parameters()['label']:
              # Start replacing connections
              inConnections = copy.copy(node.get_inConnections())
              for inConnection in inConnections:
                if not inConnection.get_matched():
                  newNode.get_inConnections().append(inConnection)
                  inConnection.get_outConnections().remove(node)
                  inConnection.get_outConnections().append(newNode)
              outConnections = copy.copy(node.get_outConnections())
              for outConnection in outConnections:
                if not outConnection.get_matched():
                  newNode.get_outConnections().append(outConnection)
                  outConnection.get_inConnections().remove(node)
                  outConnection.get_inConnections().append(newNode)
              model.get_nodes().remove(node)
    
    # Insert newModelPart in the model
    model.get_nodes().extend(newModelPart.get_nodes())
    
    modelNodes = copy.copy(model.get_nodes())
    # Remove all remaining old parts from the model (labels that are in lhs but not in rhs)
    for node in modelNodes:
      if node.get_matched(): 
        model.get_nodes().remove(node)
      elif node.get_parameters().has_key('label'):
        del node.get_parameters()['label'] 
      inConnections = copy.copy(node.get_inConnections())
      for inConnection in inConnections:
        if inConnection.get_matched():
          node.get_inConnections().remove(inConnection)
          #inConnection.get_outConnections().remove(node)
      outConnections = copy.copy(node.get_outConnections())
      for outConnection in outConnections:
        if outConnection.get_matched():
          node.get_outConnections().remove(outConnection)
          #outConnection.get_inConnections().remove(node)
  
  def get_lhsModel(self):
    return self.__lhsModel
  
  def get_rhsModel(self):
    return self.__rhsModel
  
