"""
RoadToPN2_RULE

Author: Dieter De Hen
"""

from ContainerFunctionality import *

class RoadToPN2_RULE(object):
  
  def __init__(self):
    self.__lhsModel = ModelContainer()
    self.__rhsModel = ModelContainer()
    
    # LHS nodes
    
    self.__obj55 = ModelNode({'type':'T_Next','label':3})
    self.__lhsModel.get_nodes().append(self.__obj55)
    
    self.__obj48 = ModelNode({'type':'T_RoadSegment','label':1})
    self.__lhsModel.get_nodes().append(self.__obj48)
    
    self.__obj49 = ModelNode({'type':'T_RoadSegment','label':2})
    self.__lhsModel.get_nodes().append(self.__obj49)
    # RHS nodes
    
    self.__obj45 = ModelNode({'type':'PN_Place','label':4})
    self.__rhsModel.get_nodes().append(self.__obj45)
    
    self.__obj46 = ModelNode({'type':'PN_Place','label':8})
    self.__rhsModel.get_nodes().append(self.__obj46)
    
    self.__obj53 = ModelNode({'type':'PN_ToTrans','label':5})
    self.__rhsModel.get_nodes().append(self.__obj53)
    
    self.__obj54 = ModelNode({'type':'PN_FromTrans','label':7})
    self.__rhsModel.get_nodes().append(self.__obj54)
    
    self.__obj47 = ModelNode({'type':'PN_Transition','label':6})
    self.__rhsModel.get_nodes().append(self.__obj47)
    
    self.__obj56 = ModelNode({'type':'T_Next','label':3})
    self.__rhsModel.get_nodes().append(self.__obj56)
    
    self.__obj50 = ModelNode({'type':'T_RoadSegment','label':1})
    self.__rhsModel.get_nodes().append(self.__obj50)
    
    self.__obj51 = ModelNode({'type':'T_RoadSegment','label':2})
    self.__rhsModel.get_nodes().append(self.__obj51)
    # Generic nodes
    
    self.__obj57 = ModelNode({'type':'GenericGraphNode'})
    self.__rhsModel.get_nodes().append(self.__obj57)
    
    self.__obj58 = ModelNode({'type':'GenericGraphNode'})
    self.__rhsModel.get_nodes().append(self.__obj58)
    
    self.__obj59 = ModelNode({'type':'GenericGraphEdge'})
    self.__rhsModel.get_nodes().append(self.__obj59)
    
    self.__obj60 = ModelNode({'type':'GenericGraphEdge'})
    self.__rhsModel.get_nodes().append(self.__obj60)
    
    self.__obj61 = ModelNode({'type':'GenericGraphEdge'})
    self.__rhsModel.get_nodes().append(self.__obj61)
    
    self.__obj62 = ModelNode({'type':'GenericGraphEdge'})
    self.__rhsModel.get_nodes().append(self.__obj62)
    
    # LHS node connections
    
    self.__obj55.get_inConnections().append(self.__obj48)
    self.__obj55.get_outConnections().append(self.__obj49)
    
    self.__obj48.get_outConnections().append(self.__obj55)
    
    self.__obj49.get_inConnections().append(self.__obj55)
    
    
    # RHS node connections
    
    self.__obj45.get_inConnections().append(self.__obj60)
    self.__obj45.get_outConnections().append(self.__obj53)
    
    self.__obj46.get_inConnections().append(self.__obj54)
    self.__obj46.get_inConnections().append(self.__obj62)
    
    self.__obj53.get_inConnections().append(self.__obj45)
    self.__obj53.get_outConnections().append(self.__obj47)
    
    self.__obj54.get_inConnections().append(self.__obj47)
    self.__obj54.get_outConnections().append(self.__obj46)
    
    self.__obj47.get_inConnections().append(self.__obj53)
    self.__obj47.get_outConnections().append(self.__obj54)
    
    self.__obj56.get_inConnections().append(self.__obj50)
    self.__obj56.get_outConnections().append(self.__obj51)
    
    self.__obj50.get_outConnections().append(self.__obj56)
    self.__obj50.get_outConnections().append(self.__obj59)
    
    self.__obj51.get_inConnections().append(self.__obj56)
    self.__obj51.get_outConnections().append(self.__obj61)
    
    
    # Generic node connections
    
    self.__obj57.get_inConnections().append(self.__obj59)
    self.__obj57.get_outConnections().append(self.__obj60)
    
    self.__obj58.get_inConnections().append(self.__obj61)
    self.__obj58.get_outConnections().append(self.__obj62)
    
    self.__obj59.get_inConnections().append(self.__obj50)
    self.__obj59.get_outConnections().append(self.__obj57)
    
    self.__obj60.get_inConnections().append(self.__obj57)
    self.__obj60.get_outConnections().append(self.__obj45)
    
    self.__obj61.get_inConnections().append(self.__obj51)
    self.__obj61.get_outConnections().append(self.__obj58)
    
    self.__obj62.get_inConnections().append(self.__obj58)
    self.__obj62.get_outConnections().append(self.__obj46)
    
  def get_lhsModel(self):
    return self.__lhsModel
  
  #__lhsModel = property(get_lhsModel)
  
  def get_rhsModel(self):
    return self.__rhsModel
  
  #__rhsModel = property(get_rhsModel)
