"""
RoadToPN3_RULE

Author: Dieter De Hen
"""

from ContainerFunctionality import *

class RoadToPN3_RULE(object):
  
  def __init__(self):
    self.__lhsModel = ModelContainer()
    self.__rhsModel = ModelContainer()
    
    # LHS nodes
    
    self.__obj57 = ModelNode({'type':'PN_Place','label':1})
    self.__lhsModel.get_nodes().append(self.__obj57)
    
    self.__obj58 = ModelNode({'type':'PN_Place','label':2})
    self.__lhsModel.get_nodes().append(self.__obj58)
    
    self.__obj64 = ModelNode({'type':'T_RoadSegment','label':3})
    self.__lhsModel.get_nodes().append(self.__obj64)
    
    # RHS nodes
    
    self.__obj59 = ModelNode({'type':'PN_Place','label':1})
    self.__rhsModel.get_nodes().append(self.__obj59)
    
    self.__obj60 = ModelNode({'type':'PN_Place','label':2})
    self.__rhsModel.get_nodes().append(self.__obj60)
    
    self.__obj62 = ModelNode({'type':'PN_ToTrans','label':6})
    self.__rhsModel.get_nodes().append(self.__obj62)
    
    self.__obj63 = ModelNode({'type':'PN_FromTrans','label':8})
    self.__rhsModel.get_nodes().append(self.__obj63)
    
    self.__obj65 = ModelNode({'type':'PN_Transition','label':7})
    self.__rhsModel.get_nodes().append(self.__obj65)
    
    self.__obj66 = ModelNode({'type':'T_RoadSegment','label':3})
    self.__rhsModel.get_nodes().append(self.__obj66)
    
    # Generic nodes
    
    self.__obj45 = ModelNode({'type':'GenericGraphNode'})
    self.__lhsModel.get_nodes().append(self.__obj45)
    
    self.__obj46 = ModelNode({'type':'GenericGraphNode'})
    self.__rhsModel.get_nodes().append(self.__obj46)
    
    self.__obj47 = ModelNode({'type':'GenericGraphNode'})
    self.__rhsModel.get_nodes().append(self.__obj47)
    
    self.__obj48 = ModelNode({'type':'GenericGraphNode'})
    self.__lhsModel.get_nodes().append(self.__obj48)
    
    self.__obj54 = ModelNode({'type':'GenericGraphEdge'})
    self.__lhsModel.get_nodes().append(self.__obj54)
    
    self.__obj55 = ModelNode({'type':'GenericGraphEdge'})
    self.__lhsModel.get_nodes().append(self.__obj55)
    
    self.__obj56 = ModelNode({'type':'GenericGraphEdge'})
    self.__rhsModel.get_nodes().append(self.__obj56)
    
    self.__obj67 = ModelNode({'type':'GenericGraphEdge'})
    self.__lhsModel.get_nodes().append(self.__obj67)
    
    self.__obj68 = ModelNode({'type':'GenericGraphEdge'})
    self.__lhsModel.get_nodes().append(self.__obj68)
    
    self.__obj69 = ModelNode({'type':'GenericGraphEdge'})
    self.__rhsModel.get_nodes().append(self.__obj69)
    
    self.__obj70 = ModelNode({'type':'GenericGraphEdge'})
    self.__rhsModel.get_nodes().append(self.__obj70)
    
    self.__obj71 = ModelNode({'type':'GenericGraphEdge'})
    self.__rhsModel.get_nodes().append(self.__obj71)
    
    # LHS node connections
    
    self.__obj57.get_inConnections().append(self.__obj68)
    
    self.__obj58.get_inConnections().append(self.__obj55)
    
    self.__obj64.get_outConnections().append(self.__obj54)
    self.__obj64.get_outConnections().append(self.__obj67)
    
    # RHS node connections
    
    self.__obj59.get_inConnections().append(self.__obj70)
    self.__obj59.get_outConnections().append(self.__obj62)
    
    self.__obj60.get_inConnections().append(self.__obj63)
    self.__obj60.get_inConnections().append(self.__obj71)
    
    self.__obj62.get_inConnections().append(self.__obj59)
    self.__obj62.get_outConnections().append(self.__obj65)
    
    self.__obj63.get_inConnections().append(self.__obj65)
    self.__obj63.get_outConnections().append(self.__obj60)
    
    self.__obj65.get_inConnections().append(self.__obj62)
    self.__obj65.get_outConnections().append(self.__obj63)
    
    self.__obj66.get_outConnections().append(self.__obj56)
    self.__obj66.get_outConnections().append(self.__obj69)
    
    # Generic node connections
    
    self.__obj45.get_inConnections().append(self.__obj67)
    self.__obj45.get_outConnections().append(self.__obj68)
    
    self.__obj46.get_inConnections().append(self.__obj69)
    self.__obj46.get_outConnections().append(self.__obj70)
    
    self.__obj47.get_inConnections().append(self.__obj56)
    self.__obj47.get_outConnections().append(self.__obj71)
    
    self.__obj48.get_inConnections().append(self.__obj54)
    self.__obj48.get_outConnections().append(self.__obj55)
    
    self.__obj54.get_inConnections().append(self.__obj64)
    self.__obj54.get_outConnections().append(self.__obj48)
    
    self.__obj55.get_inConnections().append(self.__obj48)
    self.__obj55.get_outConnections().append(self.__obj58)
    
    self.__obj56.get_inConnections().append(self.__obj66)
    self.__obj56.get_outConnections().append(self.__obj47)
    
    self.__obj67.get_inConnections().append(self.__obj64)
    self.__obj67.get_outConnections().append(self.__obj45)
    
    self.__obj68.get_inConnections().append(self.__obj45)
    self.__obj68.get_outConnections().append(self.__obj57)
    
    self.__obj69.get_inConnections().append(self.__obj66)
    self.__obj69.get_outConnections().append(self.__obj46)
    
    self.__obj70.get_inConnections().append(self.__obj46)
    self.__obj70.get_outConnections().append(self.__obj59)
    
    self.__obj71.get_inConnections().append(self.__obj47)
    self.__obj71.get_outConnections().append(self.__obj60)
    
  def get_lhsModel(self):
    return self.__lhsModel
  
  #__lhsModel = property(get_lhsModel)
  
  def get_rhsModel(self):
    return self.__rhsModel
  
  #__rhsModel = property(get_rhsModel)
