"""
RoadToPN_RULE rule

Author: Dieter De Hen
"""

from ContainerFunctionality import *

class RoadToPN_RULE:
  
  def __init__(self):
    self.__lhsModel = ModelContainer()
    self.__rhsModel = ModelContainer()
    
    # LHS nodes
    
    self.__obj49 = ModelNode({'type':'T_Next','label':3})
    self.__lhsModel.get_nodes().append(self.__obj49)
    
    self.__obj44 = ModelNode({'type':'T_RoadSegment','label':1})
    self.__lhsModel.get_nodes().append(self.__obj44)
    
    self.__obj45 = ModelNode({'type':'T_RoadSegment','label':2})
    self.__lhsModel.get_nodes().append(self.__obj45)
    
    # LHS node connections
    
    self.__obj49.get_inConnections().append(self.__obj44)
    self.__obj49.get_outConnections().append(self.__obj45)
    
    self.__obj44.get_outConnections().append(self.__obj49)
    
    self.__obj45.get_inConnections().append(self.__obj49)
    
    # RHS nodes
    
    self.__obj41 = ModelNode({'type':'PN_Place','label':1})
    self.__rhsModel.get_nodes().append(self.__obj41)
    
    self.__obj42 = ModelNode({'type':'PN_Place','label':2})
    self.__rhsModel.get_nodes().append(self.__obj42)
    
    self.__obj47 = ModelNode({'type':'PN_ToTrans','label':4})
    self.__rhsModel.get_nodes().append(self.__obj47)
    
    self.__obj48 = ModelNode({'type':'PN_FromTrans','label':5})
    self.__rhsModel.get_nodes().append(self.__obj48)
    
    self.__obj43 = ModelNode({'type':'PN_Transition','label':3})
    self.__rhsModel.get_nodes().append(self.__obj43)
    
    # RHS node connections
    
    self.__obj41.get_outConnections().append(self.__obj47)
    
    self.__obj42.get_inConnections().append(self.__obj48)
    
    self.__obj47.get_inConnections().append(self.__obj41)
    self.__obj47.get_outConnections().append(self.__obj43)
    
    self.__obj48.get_inConnections().append(self.__obj43)
    self.__obj48.get_outConnections().append(self.__obj42)
    
    self.__obj43.get_inConnections().append(self.__obj47)
    self.__obj43.get_outConnections().append(self.__obj48)

  def get_lhsModel(self):
    return self.__lhsModel
  
  __lhsModel = property(get_lhsModel)
  
  def get_rhsModel(self):
    return self.__rhsModel
  
  __rhsModel = property(get_rhsModel)
    
