"""
Transformed_MDL.py

Author: Dieter De Hen
"""

from stickylink import *
from widthXfillXdecoration import *
from GenericGraphNode import *
from PN_ToTrans import *
from PN_FromTrans import *
from T_Car import *
from PN_Transition import *
from T_RoadSegment import *
from T_ForkSplit import *
from T_DrivesOn import *
from PN_Place import *
from T_ForkJoin import *
from T_Join import *
from T_Split import *
from T_Next import *
from GenericGraphEdge import *
from graph_PN_FromTrans import *
from graph_PN_ToTrans import *
from graph_PN_Place import *
from graph_T_Split import *
from graph_T_RoadSegment import *
from graph_T_ForkSplit import *
from graph_GenericGraphNode import *
from graph_T_Car import *
from graph_GenericGraphEdge import *
from graph_T_ForkJoin import *
from graph_T_Next import *
from graph_T_DrivesOn import *
from graph_PN_Transition import *
from graph_T_Join import *
from ATOM3Enum import *
from ATOM3String import *
from ATOM3BottomType import *
from ATOM3Constraint import *
from ATOM3Attribute import *
from ATOM3Float import *
from ATOM3List import *
from ATOM3Link import *
from ATOM3Connection import *
from ATOM3Boolean import *
from ATOM3Appearance import *
from ATOM3Text import *
from ATOM3Action import *
from ATOM3Integer import *
from ATOM3Port import *
from ATOM3MSEnum import *

def Transformed_MDL(self, rootNode, GenericGraphRootNode=None, TrafficRootNode=None, PN_PetriNetRootNode=None):

  # --- Generating attributes code for ASG Traffic ---
  if( TrafficRootNode ):
    # author
    TrafficRootNode.author.setValue('Annonymous')
    
    # description
    TrafficRootNode.description.setValue('\n')
    TrafficRootNode.description.setHeight(15)
    
    # name
    TrafficRootNode.name.setValue('')
    TrafficRootNode.name.setNone()
  # --- ASG attributes over ---
  
  # --- Generating attributes code for ASG PN_PetriNet ---
  if( PN_PetriNetRootNode ):
    # author
    PN_PetriNetRootNode.author.setValue('Annonymous')
    
    # description
    PN_PetriNetRootNode.description.setValue('\n')
    PN_PetriNetRootNode.description.setHeight(15)
    
    # name
    PN_PetriNetRootNode.name.setValue('')
    PN_PetriNetRootNode.name.setNone()
  # --- ASG attributes over ---
  
  
  # --- Generating code for self.obj500 ---
  self.obj500=T_Car(self)
  self.obj500.isGraphObjectVisual = True
  
  if(hasattr(self.obj500, '_setHierarchicalLink')):
    self.obj500._setHierarchicalLink(False)
  
  self.obj500.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_T_Car(1000.0,204.5,self.obj500)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj500.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj500)
  self.globalAndLocalPostcondition(self.obj500, rootNode)
  self.obj500.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj501 ---
  self.obj501=T_DrivesOn(self)
  self.obj501.isGraphObjectVisual = True
  
  if(hasattr(self.obj501, '_setHierarchicalLink')):
    self.obj501._setHierarchicalLink(False)
  
  self.obj501.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_T_DrivesOn(1000.0,204.5,self.obj501)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj501.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj501)
  self.globalAndLocalPostcondition(self.obj501, rootNode)
  self.obj501.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj502 ---
  self.obj502=PN_ToTrans(self)
  self.obj502.isGraphObjectVisual = True
  
  if(hasattr(self.obj502, '_setHierarchicalLink')):
    self.obj502._setHierarchicalLink(False)
  
  self.obj502.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_PN_ToTrans(1000.0,204.5,self.obj502)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj502.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj502)
  self.globalAndLocalPostcondition(self.obj502, rootNode)
  self.obj502.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj503 ---
  self.obj503=PN_FromTrans(self)
  self.obj503.isGraphObjectVisual = True
  
  if(hasattr(self.obj503, '_setHierarchicalLink')):
    self.obj503._setHierarchicalLink(False)
  
  self.obj503.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_PN_FromTrans(1000.0,204.5,self.obj503)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj503.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj503)
  self.globalAndLocalPostcondition(self.obj503, rootNode)
  self.obj503.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj504 ---
  self.obj504=PN_Transition(self)
  self.obj504.isGraphObjectVisual = True
  
  if(hasattr(self.obj504, '_setHierarchicalLink')):
    self.obj504._setHierarchicalLink(False)
  
  # name
  self.obj504.name.setValue('')
  
  self.obj504.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_PN_Transition(1000.0,204.5,self.obj504)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj504.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj504)
  self.globalAndLocalPostcondition(self.obj504, rootNode)
  self.obj504.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj505 ---
  self.obj505=T_Next(self)
  self.obj505.isGraphObjectVisual = True
  
  if(hasattr(self.obj505, '_setHierarchicalLink')):
    self.obj505._setHierarchicalLink(False)
  
  self.obj505.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_T_Next(1000.0,204.5,self.obj505)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj505.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj505)
  self.globalAndLocalPostcondition(self.obj505, rootNode)
  self.obj505.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj506 ---
  self.obj506=PN_Place(self)
  self.obj506.isGraphObjectVisual = True
  
  if(hasattr(self.obj506, '_setHierarchicalLink')):
    self.obj506._setHierarchicalLink(False)
  
  # tokens
  self.obj506.tokens.setValue(0)
  
  # name
  self.obj506.name.setValue('')
  
  self.obj506.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_PN_Place(1000.0,204.5,self.obj506)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj506.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj506)
  self.globalAndLocalPostcondition(self.obj506, rootNode)
  self.obj506.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj507 ---
  self.obj507=PN_ToTrans(self)
  self.obj507.isGraphObjectVisual = True
  
  if(hasattr(self.obj507, '_setHierarchicalLink')):
    self.obj507._setHierarchicalLink(False)
  
  self.obj507.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_PN_ToTrans(1000.0,204.5,self.obj507)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj507.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj507)
  self.globalAndLocalPostcondition(self.obj507, rootNode)
  self.obj507.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj508 ---
  self.obj508=PN_FromTrans(self)
  self.obj508.isGraphObjectVisual = True
  
  if(hasattr(self.obj508, '_setHierarchicalLink')):
    self.obj508._setHierarchicalLink(False)
  
  self.obj508.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_PN_FromTrans(1000.0,204.5,self.obj508)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj508.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj508)
  self.globalAndLocalPostcondition(self.obj508, rootNode)
  self.obj508.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj509 ---
  self.obj509=PN_Transition(self)
  self.obj509.isGraphObjectVisual = True
  
  if(hasattr(self.obj509, '_setHierarchicalLink')):
    self.obj509._setHierarchicalLink(False)
  
  # name
  self.obj509.name.setValue('')
  
  self.obj509.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_PN_Transition(1000.0,204.5,self.obj509)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj509.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj509)
  self.globalAndLocalPostcondition(self.obj509, rootNode)
  self.obj509.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj510 ---
  self.obj510=T_Next(self)
  self.obj510.isGraphObjectVisual = True
  
  if(hasattr(self.obj510, '_setHierarchicalLink')):
    self.obj510._setHierarchicalLink(False)
  
  self.obj510.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_T_Next(1000.0,204.5,self.obj510)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj510.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj510)
  self.globalAndLocalPostcondition(self.obj510, rootNode)
  self.obj510.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj511 ---
  self.obj511=T_RoadSegment(self)
  self.obj511.isGraphObjectVisual = True
  
  if(hasattr(self.obj511, '_setHierarchicalLink')):
    self.obj511._setHierarchicalLink(False)
  
  self.obj511.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_T_RoadSegment(1000.0,204.5,self.obj511)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj511.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj511)
  self.globalAndLocalPostcondition(self.obj511, rootNode)
  self.obj511.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj512 ---
  self.obj512=GenericGraphNode(self)
  self.obj512.isGraphObjectVisual = True
  
  if(hasattr(self.obj512, '_setHierarchicalLink')):
    self.obj512._setHierarchicalLink(False)
  
  self.obj512.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_GenericGraphNode(1000.0,204.5,self.obj512)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj512.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj512)
  self.globalAndLocalPostcondition(self.obj512, rootNode)
  self.obj512.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj513 ---
  self.obj513=GenericGraphEdge(self)
  self.obj513.isGraphObjectVisual = True
  
  if(hasattr(self.obj513, '_setHierarchicalLink')):
    self.obj513._setHierarchicalLink(False)
  
  self.obj513.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_GenericGraphEdge(1000.0,204.5,self.obj513)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj513.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj513)
  self.globalAndLocalPostcondition(self.obj513, rootNode)
  self.obj513.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj514 ---
  self.obj514=GenericGraphEdge(self)
  self.obj514.isGraphObjectVisual = True
  
  if(hasattr(self.obj514, '_setHierarchicalLink')):
    self.obj514._setHierarchicalLink(False)
  
  self.obj514.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_GenericGraphEdge(1000.0,204.5,self.obj514)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj514.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj514)
  self.globalAndLocalPostcondition(self.obj514, rootNode)
  self.obj514.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj515 ---
  self.obj515=PN_Place(self)
  self.obj515.isGraphObjectVisual = True
  
  if(hasattr(self.obj515, '_setHierarchicalLink')):
    self.obj515._setHierarchicalLink(False)
  
  # tokens
  self.obj515.tokens.setValue(0)
  
  # name
  self.obj515.name.setValue('')
  
  self.obj515.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_PN_Place(1000.0,204.5,self.obj515)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj515.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj515)
  self.globalAndLocalPostcondition(self.obj515, rootNode)
  self.obj515.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj516 ---
  self.obj516=PN_ToTrans(self)
  self.obj516.isGraphObjectVisual = True
  
  if(hasattr(self.obj516, '_setHierarchicalLink')):
    self.obj516._setHierarchicalLink(False)
  
  self.obj516.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_PN_ToTrans(1000.0,204.5,self.obj516)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj516.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj516)
  self.globalAndLocalPostcondition(self.obj516, rootNode)
  self.obj516.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj517 ---
  self.obj517=PN_FromTrans(self)
  self.obj517.isGraphObjectVisual = True
  
  if(hasattr(self.obj517, '_setHierarchicalLink')):
    self.obj517._setHierarchicalLink(False)
  
  self.obj517.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_PN_FromTrans(1000.0,204.5,self.obj517)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj517.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj517)
  self.globalAndLocalPostcondition(self.obj517, rootNode)
  self.obj517.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj518 ---
  self.obj518=PN_Transition(self)
  self.obj518.isGraphObjectVisual = True
  
  if(hasattr(self.obj518, '_setHierarchicalLink')):
    self.obj518._setHierarchicalLink(False)
  
  # name
  self.obj518.name.setValue('')
  
  self.obj518.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_PN_Transition(1000.0,204.5,self.obj518)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj518.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj518)
  self.globalAndLocalPostcondition(self.obj518, rootNode)
  self.obj518.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj519 ---
  self.obj519=T_Next(self)
  self.obj519.isGraphObjectVisual = True
  
  if(hasattr(self.obj519, '_setHierarchicalLink')):
    self.obj519._setHierarchicalLink(False)
  
  self.obj519.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_T_Next(1000.0,204.5,self.obj519)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj519.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj519)
  self.globalAndLocalPostcondition(self.obj519, rootNode)
  self.obj519.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj520 ---
  self.obj520=T_RoadSegment(self)
  self.obj520.isGraphObjectVisual = True
  
  if(hasattr(self.obj520, '_setHierarchicalLink')):
    self.obj520._setHierarchicalLink(False)
  
  self.obj520.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_T_RoadSegment(1000.0,204.5,self.obj520)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj520.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj520)
  self.globalAndLocalPostcondition(self.obj520, rootNode)
  self.obj520.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj521 ---
  self.obj521=GenericGraphNode(self)
  self.obj521.isGraphObjectVisual = True
  
  if(hasattr(self.obj521, '_setHierarchicalLink')):
    self.obj521._setHierarchicalLink(False)
  
  self.obj521.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_GenericGraphNode(1000.0,204.5,self.obj521)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj521.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj521)
  self.globalAndLocalPostcondition(self.obj521, rootNode)
  self.obj521.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj522 ---
  self.obj522=GenericGraphEdge(self)
  self.obj522.isGraphObjectVisual = True
  
  if(hasattr(self.obj522, '_setHierarchicalLink')):
    self.obj522._setHierarchicalLink(False)
  
  self.obj522.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_GenericGraphEdge(1000.0,204.5,self.obj522)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj522.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj522)
  self.globalAndLocalPostcondition(self.obj522, rootNode)
  self.obj522.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj523 ---
  self.obj523=GenericGraphEdge(self)
  self.obj523.isGraphObjectVisual = True
  
  if(hasattr(self.obj523, '_setHierarchicalLink')):
    self.obj523._setHierarchicalLink(False)
  
  self.obj523.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_GenericGraphEdge(1000.0,204.5,self.obj523)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj523.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj523)
  self.globalAndLocalPostcondition(self.obj523, rootNode)
  self.obj523.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj524 ---
  self.obj524=PN_ToTrans(self)
  self.obj524.isGraphObjectVisual = True
  
  if(hasattr(self.obj524, '_setHierarchicalLink')):
    self.obj524._setHierarchicalLink(False)
  
  self.obj524.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_PN_ToTrans(1000.0,204.5,self.obj524)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj524.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj524)
  self.globalAndLocalPostcondition(self.obj524, rootNode)
  self.obj524.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj525 ---
  self.obj525=PN_ToTrans(self)
  self.obj525.isGraphObjectVisual = True
  
  if(hasattr(self.obj525, '_setHierarchicalLink')):
    self.obj525._setHierarchicalLink(False)
  
  self.obj525.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_PN_ToTrans(1000.0,204.5,self.obj525)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj525.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj525)
  self.globalAndLocalPostcondition(self.obj525, rootNode)
  self.obj525.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj526 ---
  self.obj526=PN_FromTrans(self)
  self.obj526.isGraphObjectVisual = True
  
  if(hasattr(self.obj526, '_setHierarchicalLink')):
    self.obj526._setHierarchicalLink(False)
  
  self.obj526.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_PN_FromTrans(1000.0,204.5,self.obj526)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj526.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj526)
  self.globalAndLocalPostcondition(self.obj526, rootNode)
  self.obj526.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj527 ---
  self.obj527=PN_FromTrans(self)
  self.obj527.isGraphObjectVisual = True
  
  if(hasattr(self.obj527, '_setHierarchicalLink')):
    self.obj527._setHierarchicalLink(False)
  
  self.obj527.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_PN_FromTrans(1000.0,204.5,self.obj527)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj527.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj527)
  self.globalAndLocalPostcondition(self.obj527, rootNode)
  self.obj527.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj528 ---
  self.obj528=T_Join(self)
  self.obj528.isGraphObjectVisual = True
  
  if(hasattr(self.obj528, '_setHierarchicalLink')):
    self.obj528._setHierarchicalLink(False)
  
  self.obj528.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_T_Join(1000.0,204.5,self.obj528)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj528.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj528)
  self.globalAndLocalPostcondition(self.obj528, rootNode)
  self.obj528.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj529 ---
  self.obj529=PN_Transition(self)
  self.obj529.isGraphObjectVisual = True
  
  if(hasattr(self.obj529, '_setHierarchicalLink')):
    self.obj529._setHierarchicalLink(False)
  
  # name
  self.obj529.name.setValue('')
  
  self.obj529.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_PN_Transition(1000.0,204.5,self.obj529)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj529.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj529)
  self.globalAndLocalPostcondition(self.obj529, rootNode)
  self.obj529.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj530 ---
  self.obj530=PN_Transition(self)
  self.obj530.isGraphObjectVisual = True
  
  if(hasattr(self.obj530, '_setHierarchicalLink')):
    self.obj530._setHierarchicalLink(False)
  
  # name
  self.obj530.name.setValue('')
  
  self.obj530.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_PN_Transition(1000.0,204.5,self.obj530)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj530.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj530)
  self.globalAndLocalPostcondition(self.obj530, rootNode)
  self.obj530.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj531 ---
  self.obj531=T_Next(self)
  self.obj531.isGraphObjectVisual = True
  
  if(hasattr(self.obj531, '_setHierarchicalLink')):
    self.obj531._setHierarchicalLink(False)
  
  self.obj531.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_T_Next(1000.0,204.5,self.obj531)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj531.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj531)
  self.globalAndLocalPostcondition(self.obj531, rootNode)
  self.obj531.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj532 ---
  self.obj532=PN_Place(self)
  self.obj532.isGraphObjectVisual = True
  
  if(hasattr(self.obj532, '_setHierarchicalLink')):
    self.obj532._setHierarchicalLink(False)
  
  # tokens
  self.obj532.tokens.setValue(0)
  
  # name
  self.obj532.name.setValue('')
  
  self.obj532.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_PN_Place(1000.0,204.5,self.obj532)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj532.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj532)
  self.globalAndLocalPostcondition(self.obj532, rootNode)
  self.obj532.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj533 ---
  self.obj533=PN_Place(self)
  self.obj533.isGraphObjectVisual = True
  
  if(hasattr(self.obj533, '_setHierarchicalLink')):
    self.obj533._setHierarchicalLink(False)
  
  # tokens
  self.obj533.tokens.setValue(0)
  
  # name
  self.obj533.name.setValue('')
  
  self.obj533.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_PN_Place(1000.0,204.5,self.obj533)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj533.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj533)
  self.globalAndLocalPostcondition(self.obj533, rootNode)
  self.obj533.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj534 ---
  self.obj534=PN_ToTrans(self)
  self.obj534.isGraphObjectVisual = True
  
  if(hasattr(self.obj534, '_setHierarchicalLink')):
    self.obj534._setHierarchicalLink(False)
  
  self.obj534.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_PN_ToTrans(1000.0,204.5,self.obj534)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj534.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj534)
  self.globalAndLocalPostcondition(self.obj534, rootNode)
  self.obj534.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj535 ---
  self.obj535=PN_ToTrans(self)
  self.obj535.isGraphObjectVisual = True
  
  if(hasattr(self.obj535, '_setHierarchicalLink')):
    self.obj535._setHierarchicalLink(False)
  
  self.obj535.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_PN_ToTrans(1000.0,204.5,self.obj535)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj535.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj535)
  self.globalAndLocalPostcondition(self.obj535, rootNode)
  self.obj535.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj536 ---
  self.obj536=PN_FromTrans(self)
  self.obj536.isGraphObjectVisual = True
  
  if(hasattr(self.obj536, '_setHierarchicalLink')):
    self.obj536._setHierarchicalLink(False)
  
  self.obj536.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_PN_FromTrans(1000.0,204.5,self.obj536)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj536.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj536)
  self.globalAndLocalPostcondition(self.obj536, rootNode)
  self.obj536.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj537 ---
  self.obj537=PN_FromTrans(self)
  self.obj537.isGraphObjectVisual = True
  
  if(hasattr(self.obj537, '_setHierarchicalLink')):
    self.obj537._setHierarchicalLink(False)
  
  self.obj537.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_PN_FromTrans(1000.0,204.5,self.obj537)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj537.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj537)
  self.globalAndLocalPostcondition(self.obj537, rootNode)
  self.obj537.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj538 ---
  self.obj538=T_Split(self)
  self.obj538.isGraphObjectVisual = True
  
  if(hasattr(self.obj538, '_setHierarchicalLink')):
    self.obj538._setHierarchicalLink(False)
  
  self.obj538.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_T_Split(1000.0,204.5,self.obj538)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj538.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj538)
  self.globalAndLocalPostcondition(self.obj538, rootNode)
  self.obj538.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj539 ---
  self.obj539=PN_Transition(self)
  self.obj539.isGraphObjectVisual = True
  
  if(hasattr(self.obj539, '_setHierarchicalLink')):
    self.obj539._setHierarchicalLink(False)
  
  # name
  self.obj539.name.setValue('')
  
  self.obj539.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_PN_Transition(1000.0,204.5,self.obj539)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj539.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj539)
  self.globalAndLocalPostcondition(self.obj539, rootNode)
  self.obj539.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj540 ---
  self.obj540=PN_Transition(self)
  self.obj540.isGraphObjectVisual = True
  
  if(hasattr(self.obj540, '_setHierarchicalLink')):
    self.obj540._setHierarchicalLink(False)
  
  # name
  self.obj540.name.setValue('')
  
  self.obj540.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_PN_Transition(1000.0,204.5,self.obj540)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj540.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj540)
  self.globalAndLocalPostcondition(self.obj540, rootNode)
  self.obj540.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj541 ---
  self.obj541=T_Next(self)
  self.obj541.isGraphObjectVisual = True
  
  if(hasattr(self.obj541, '_setHierarchicalLink')):
    self.obj541._setHierarchicalLink(False)
  
  self.obj541.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_T_Next(1000.0,204.5,self.obj541)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj541.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj541)
  self.globalAndLocalPostcondition(self.obj541, rootNode)
  self.obj541.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj542 ---
  self.obj542=T_RoadSegment(self)
  self.obj542.isGraphObjectVisual = True
  
  if(hasattr(self.obj542, '_setHierarchicalLink')):
    self.obj542._setHierarchicalLink(False)
  
  self.obj542.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_T_RoadSegment(1000.0,204.5,self.obj542)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj542.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj542)
  self.globalAndLocalPostcondition(self.obj542, rootNode)
  self.obj542.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj543 ---
  self.obj543=T_RoadSegment(self)
  self.obj543.isGraphObjectVisual = True
  
  if(hasattr(self.obj543, '_setHierarchicalLink')):
    self.obj543._setHierarchicalLink(False)
  
  self.obj543.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_T_RoadSegment(1000.0,204.5,self.obj543)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj543.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj543)
  self.globalAndLocalPostcondition(self.obj543, rootNode)
  self.obj543.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj544 ---
  self.obj544=GenericGraphNode(self)
  self.obj544.isGraphObjectVisual = True
  
  if(hasattr(self.obj544, '_setHierarchicalLink')):
    self.obj544._setHierarchicalLink(False)
  
  self.obj544.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_GenericGraphNode(1000.0,204.5,self.obj544)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj544.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj544)
  self.globalAndLocalPostcondition(self.obj544, rootNode)
  self.obj544.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj545 ---
  self.obj545=GenericGraphNode(self)
  self.obj545.isGraphObjectVisual = True
  
  if(hasattr(self.obj545, '_setHierarchicalLink')):
    self.obj545._setHierarchicalLink(False)
  
  self.obj545.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_GenericGraphNode(1000.0,204.5,self.obj545)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj545.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj545)
  self.globalAndLocalPostcondition(self.obj545, rootNode)
  self.obj545.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj546 ---
  self.obj546=GenericGraphEdge(self)
  self.obj546.isGraphObjectVisual = True
  
  if(hasattr(self.obj546, '_setHierarchicalLink')):
    self.obj546._setHierarchicalLink(False)
  
  self.obj546.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_GenericGraphEdge(1000.0,204.5,self.obj546)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj546.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj546)
  self.globalAndLocalPostcondition(self.obj546, rootNode)
  self.obj546.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj547 ---
  self.obj547=GenericGraphEdge(self)
  self.obj547.isGraphObjectVisual = True
  
  if(hasattr(self.obj547, '_setHierarchicalLink')):
    self.obj547._setHierarchicalLink(False)
  
  self.obj547.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_GenericGraphEdge(1000.0,204.5,self.obj547)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj547.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj547)
  self.globalAndLocalPostcondition(self.obj547, rootNode)
  self.obj547.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj548 ---
  self.obj548=GenericGraphEdge(self)
  self.obj548.isGraphObjectVisual = True
  
  if(hasattr(self.obj548, '_setHierarchicalLink')):
    self.obj548._setHierarchicalLink(False)
  
  self.obj548.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_GenericGraphEdge(1000.0,204.5,self.obj548)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj548.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj548)
  self.globalAndLocalPostcondition(self.obj548, rootNode)
  self.obj548.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj549 ---
  self.obj549=GenericGraphEdge(self)
  self.obj549.isGraphObjectVisual = True
  
  if(hasattr(self.obj549, '_setHierarchicalLink')):
    self.obj549._setHierarchicalLink(False)
  
  self.obj549.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_GenericGraphEdge(1000.0,204.5,self.obj549)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj549.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj549)
  self.globalAndLocalPostcondition(self.obj549, rootNode)
  self.obj549.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj550 ---
  self.obj550=PN_Place(self)
  self.obj550.isGraphObjectVisual = True
  
  if(hasattr(self.obj550, '_setHierarchicalLink')):
    self.obj550._setHierarchicalLink(False)
  
  # tokens
  self.obj550.tokens.setValue(0)
  
  # name
  self.obj550.name.setValue('')
  
  self.obj550.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_PN_Place(1000.0,204.5,self.obj550)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj550.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj550)
  self.globalAndLocalPostcondition(self.obj550, rootNode)
  self.obj550.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj551 ---
  self.obj551=PN_Place(self)
  self.obj551.isGraphObjectVisual = True
  
  if(hasattr(self.obj551, '_setHierarchicalLink')):
    self.obj551._setHierarchicalLink(False)
  
  # tokens
  self.obj551.tokens.setValue(0)
  
  # name
  self.obj551.name.setValue('')
  
  self.obj551.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_PN_Place(1000.0,204.5,self.obj551)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj551.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj551)
  self.globalAndLocalPostcondition(self.obj551, rootNode)
  self.obj551.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj552 ---
  self.obj552=PN_Place(self)
  self.obj552.isGraphObjectVisual = True
  
  if(hasattr(self.obj552, '_setHierarchicalLink')):
    self.obj552._setHierarchicalLink(False)
  
  # tokens
  self.obj552.tokens.setValue(0)
  
  # name
  self.obj552.name.setValue('')
  
  self.obj552.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_PN_Place(1000.0,204.5,self.obj552)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj552.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj552)
  self.globalAndLocalPostcondition(self.obj552, rootNode)
  self.obj552.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj553 ---
  self.obj553=PN_Place(self)
  self.obj553.isGraphObjectVisual = True
  
  if(hasattr(self.obj553, '_setHierarchicalLink')):
    self.obj553._setHierarchicalLink(False)
  
  # tokens
  self.obj553.tokens.setValue(0)
  
  # name
  self.obj553.name.setValue('')
  
  self.obj553.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_PN_Place(1000.0,204.5,self.obj553)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj553.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj553)
  self.globalAndLocalPostcondition(self.obj553, rootNode)
  self.obj553.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj554 ---
  self.obj554=T_ForkJoin(self)
  self.obj554.isGraphObjectVisual = True
  
  if(hasattr(self.obj554, '_setHierarchicalLink')):
    self.obj554._setHierarchicalLink(False)
  
  self.obj554.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_T_ForkJoin(1000.0,204.5,self.obj554)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj554.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj554)
  self.globalAndLocalPostcondition(self.obj554, rootNode)
  self.obj554.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj555 ---
  self.obj555=PN_ToTrans(self)
  self.obj555.isGraphObjectVisual = True
  
  if(hasattr(self.obj555, '_setHierarchicalLink')):
    self.obj555._setHierarchicalLink(False)
  
  self.obj555.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_PN_ToTrans(1000.0,204.5,self.obj555)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj555.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj555)
  self.globalAndLocalPostcondition(self.obj555, rootNode)
  self.obj555.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj556 ---
  self.obj556=PN_ToTrans(self)
  self.obj556.isGraphObjectVisual = True
  
  if(hasattr(self.obj556, '_setHierarchicalLink')):
    self.obj556._setHierarchicalLink(False)
  
  self.obj556.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_PN_ToTrans(1000.0,204.5,self.obj556)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj556.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj556)
  self.globalAndLocalPostcondition(self.obj556, rootNode)
  self.obj556.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj557 ---
  self.obj557=PN_ToTrans(self)
  self.obj557.isGraphObjectVisual = True
  
  if(hasattr(self.obj557, '_setHierarchicalLink')):
    self.obj557._setHierarchicalLink(False)
  
  self.obj557.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_PN_ToTrans(1000.0,204.5,self.obj557)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj557.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj557)
  self.globalAndLocalPostcondition(self.obj557, rootNode)
  self.obj557.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj558 ---
  self.obj558=PN_FromTrans(self)
  self.obj558.isGraphObjectVisual = True
  
  if(hasattr(self.obj558, '_setHierarchicalLink')):
    self.obj558._setHierarchicalLink(False)
  
  self.obj558.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_PN_FromTrans(1000.0,204.5,self.obj558)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj558.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj558)
  self.globalAndLocalPostcondition(self.obj558, rootNode)
  self.obj558.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj559 ---
  self.obj559=PN_FromTrans(self)
  self.obj559.isGraphObjectVisual = True
  
  if(hasattr(self.obj559, '_setHierarchicalLink')):
    self.obj559._setHierarchicalLink(False)
  
  self.obj559.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_PN_FromTrans(1000.0,204.5,self.obj559)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj559.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj559)
  self.globalAndLocalPostcondition(self.obj559, rootNode)
  self.obj559.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj560 ---
  self.obj560=PN_Transition(self)
  self.obj560.isGraphObjectVisual = True
  
  if(hasattr(self.obj560, '_setHierarchicalLink')):
    self.obj560._setHierarchicalLink(False)
  
  # name
  self.obj560.name.setValue('')
  
  self.obj560.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_PN_Transition(1000.0,204.5,self.obj560)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj560.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj560)
  self.globalAndLocalPostcondition(self.obj560, rootNode)
  self.obj560.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj561 ---
  self.obj561=PN_Transition(self)
  self.obj561.isGraphObjectVisual = True
  
  if(hasattr(self.obj561, '_setHierarchicalLink')):
    self.obj561._setHierarchicalLink(False)
  
  # name
  self.obj561.name.setValue('')
  
  self.obj561.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_PN_Transition(1000.0,204.5,self.obj561)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj561.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj561)
  self.globalAndLocalPostcondition(self.obj561, rootNode)
  self.obj561.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj562 ---
  self.obj562=T_Next(self)
  self.obj562.isGraphObjectVisual = True
  
  if(hasattr(self.obj562, '_setHierarchicalLink')):
    self.obj562._setHierarchicalLink(False)
  
  self.obj562.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_T_Next(1000.0,204.5,self.obj562)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj562.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj562)
  self.globalAndLocalPostcondition(self.obj562, rootNode)
  self.obj562.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj563 ---
  self.obj563=T_RoadSegment(self)
  self.obj563.isGraphObjectVisual = True
  
  if(hasattr(self.obj563, '_setHierarchicalLink')):
    self.obj563._setHierarchicalLink(False)
  
  self.obj563.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_T_RoadSegment(1000.0,204.5,self.obj563)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj563.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj563)
  self.globalAndLocalPostcondition(self.obj563, rootNode)
  self.obj563.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj564 ---
  self.obj564=GenericGraphNode(self)
  self.obj564.isGraphObjectVisual = True
  
  if(hasattr(self.obj564, '_setHierarchicalLink')):
    self.obj564._setHierarchicalLink(False)
  
  self.obj564.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_GenericGraphNode(1000.0,204.5,self.obj564)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj564.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj564)
  self.globalAndLocalPostcondition(self.obj564, rootNode)
  self.obj564.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj565 ---
  self.obj565=GenericGraphNode(self)
  self.obj565.isGraphObjectVisual = True
  
  if(hasattr(self.obj565, '_setHierarchicalLink')):
    self.obj565._setHierarchicalLink(False)
  
  self.obj565.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_GenericGraphNode(1000.0,204.5,self.obj565)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj565.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj565)
  self.globalAndLocalPostcondition(self.obj565, rootNode)
  self.obj565.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj566 ---
  self.obj566=GenericGraphNode(self)
  self.obj566.isGraphObjectVisual = True
  
  if(hasattr(self.obj566, '_setHierarchicalLink')):
    self.obj566._setHierarchicalLink(False)
  
  self.obj566.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_GenericGraphNode(1000.0,204.5,self.obj566)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj566.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj566)
  self.globalAndLocalPostcondition(self.obj566, rootNode)
  self.obj566.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj567 ---
  self.obj567=GenericGraphNode(self)
  self.obj567.isGraphObjectVisual = True
  
  if(hasattr(self.obj567, '_setHierarchicalLink')):
    self.obj567._setHierarchicalLink(False)
  
  self.obj567.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_GenericGraphNode(1000.0,204.5,self.obj567)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj567.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj567)
  self.globalAndLocalPostcondition(self.obj567, rootNode)
  self.obj567.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj568 ---
  self.obj568=GenericGraphNode(self)
  self.obj568.isGraphObjectVisual = True
  
  if(hasattr(self.obj568, '_setHierarchicalLink')):
    self.obj568._setHierarchicalLink(False)
  
  self.obj568.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_GenericGraphNode(1000.0,204.5,self.obj568)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj568.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj568)
  self.globalAndLocalPostcondition(self.obj568, rootNode)
  self.obj568.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj569 ---
  self.obj569=GenericGraphEdge(self)
  self.obj569.isGraphObjectVisual = True
  
  if(hasattr(self.obj569, '_setHierarchicalLink')):
    self.obj569._setHierarchicalLink(False)
  
  self.obj569.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_GenericGraphEdge(1000.0,204.5,self.obj569)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj569.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj569)
  self.globalAndLocalPostcondition(self.obj569, rootNode)
  self.obj569.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj570 ---
  self.obj570=GenericGraphEdge(self)
  self.obj570.isGraphObjectVisual = True
  
  if(hasattr(self.obj570, '_setHierarchicalLink')):
    self.obj570._setHierarchicalLink(False)
  
  self.obj570.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_GenericGraphEdge(1000.0,204.5,self.obj570)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj570.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj570)
  self.globalAndLocalPostcondition(self.obj570, rootNode)
  self.obj570.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj571 ---
  self.obj571=GenericGraphEdge(self)
  self.obj571.isGraphObjectVisual = True
  
  if(hasattr(self.obj571, '_setHierarchicalLink')):
    self.obj571._setHierarchicalLink(False)
  
  self.obj571.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_GenericGraphEdge(1000.0,204.5,self.obj571)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj571.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj571)
  self.globalAndLocalPostcondition(self.obj571, rootNode)
  self.obj571.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj572 ---
  self.obj572=GenericGraphEdge(self)
  self.obj572.isGraphObjectVisual = True
  
  if(hasattr(self.obj572, '_setHierarchicalLink')):
    self.obj572._setHierarchicalLink(False)
  
  self.obj572.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_GenericGraphEdge(1000.0,204.5,self.obj572)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj572.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj572)
  self.globalAndLocalPostcondition(self.obj572, rootNode)
  self.obj572.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj573 ---
  self.obj573=GenericGraphEdge(self)
  self.obj573.isGraphObjectVisual = True
  
  if(hasattr(self.obj573, '_setHierarchicalLink')):
    self.obj573._setHierarchicalLink(False)
  
  self.obj573.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_GenericGraphEdge(1000.0,204.5,self.obj573)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj573.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj573)
  self.globalAndLocalPostcondition(self.obj573, rootNode)
  self.obj573.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj574 ---
  self.obj574=GenericGraphEdge(self)
  self.obj574.isGraphObjectVisual = True
  
  if(hasattr(self.obj574, '_setHierarchicalLink')):
    self.obj574._setHierarchicalLink(False)
  
  self.obj574.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_GenericGraphEdge(1000.0,204.5,self.obj574)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj574.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj574)
  self.globalAndLocalPostcondition(self.obj574, rootNode)
  self.obj574.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj575 ---
  self.obj575=GenericGraphEdge(self)
  self.obj575.isGraphObjectVisual = True
  
  if(hasattr(self.obj575, '_setHierarchicalLink')):
    self.obj575._setHierarchicalLink(False)
  
  self.obj575.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_GenericGraphEdge(1000.0,204.5,self.obj575)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj575.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj575)
  self.globalAndLocalPostcondition(self.obj575, rootNode)
  self.obj575.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj576 ---
  self.obj576=GenericGraphEdge(self)
  self.obj576.isGraphObjectVisual = True
  
  if(hasattr(self.obj576, '_setHierarchicalLink')):
    self.obj576._setHierarchicalLink(False)
  
  self.obj576.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_GenericGraphEdge(1000.0,204.5,self.obj576)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj576.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj576)
  self.globalAndLocalPostcondition(self.obj576, rootNode)
  self.obj576.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj577 ---
  self.obj577=GenericGraphEdge(self)
  self.obj577.isGraphObjectVisual = True
  
  if(hasattr(self.obj577, '_setHierarchicalLink')):
    self.obj577._setHierarchicalLink(False)
  
  self.obj577.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_GenericGraphEdge(1000.0,204.5,self.obj577)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj577.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj577)
  self.globalAndLocalPostcondition(self.obj577, rootNode)
  self.obj577.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj578 ---
  self.obj578=GenericGraphEdge(self)
  self.obj578.isGraphObjectVisual = True
  
  if(hasattr(self.obj578, '_setHierarchicalLink')):
    self.obj578._setHierarchicalLink(False)
  
  self.obj578.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_GenericGraphEdge(1000.0,204.5,self.obj578)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj578.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj578)
  self.globalAndLocalPostcondition(self.obj578, rootNode)
  self.obj578.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj579 ---
  self.obj579=PN_Place(self)
  self.obj579.isGraphObjectVisual = True
  
  if(hasattr(self.obj579, '_setHierarchicalLink')):
    self.obj579._setHierarchicalLink(False)
  
  # tokens
  self.obj579.tokens.setValue(0)
  
  # name
  self.obj579.name.setValue('')
  
  self.obj579.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_PN_Place(1000.0,204.5,self.obj579)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj579.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj579)
  self.globalAndLocalPostcondition(self.obj579, rootNode)
  self.obj579.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj580 ---
  self.obj580=PN_Place(self)
  self.obj580.isGraphObjectVisual = True
  
  if(hasattr(self.obj580, '_setHierarchicalLink')):
    self.obj580._setHierarchicalLink(False)
  
  # tokens
  self.obj580.tokens.setValue(0)
  
  # name
  self.obj580.name.setValue('')
  
  self.obj580.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_PN_Place(1000.0,204.5,self.obj580)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj580.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj580)
  self.globalAndLocalPostcondition(self.obj580, rootNode)
  self.obj580.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj581 ---
  self.obj581=PN_Place(self)
  self.obj581.isGraphObjectVisual = True
  
  if(hasattr(self.obj581, '_setHierarchicalLink')):
    self.obj581._setHierarchicalLink(False)
  
  # tokens
  self.obj581.tokens.setValue(0)
  
  # name
  self.obj581.name.setValue('')
  
  self.obj581.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_PN_Place(1000.0,204.5,self.obj581)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj581.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj581)
  self.globalAndLocalPostcondition(self.obj581, rootNode)
  self.obj581.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj582 ---
  self.obj582=PN_Place(self)
  self.obj582.isGraphObjectVisual = True
  
  if(hasattr(self.obj582, '_setHierarchicalLink')):
    self.obj582._setHierarchicalLink(False)
  
  # tokens
  self.obj582.tokens.setValue(0)
  
  # name
  self.obj582.name.setValue('')
  
  self.obj582.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_PN_Place(1000.0,204.5,self.obj582)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj582.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj582)
  self.globalAndLocalPostcondition(self.obj582, rootNode)
  self.obj582.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj583 ---
  self.obj583=PN_ToTrans(self)
  self.obj583.isGraphObjectVisual = True
  
  if(hasattr(self.obj583, '_setHierarchicalLink')):
    self.obj583._setHierarchicalLink(False)
  
  self.obj583.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_PN_ToTrans(1000.0,204.5,self.obj583)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj583.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj583)
  self.globalAndLocalPostcondition(self.obj583, rootNode)
  self.obj583.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj584 ---
  self.obj584=PN_ToTrans(self)
  self.obj584.isGraphObjectVisual = True
  
  if(hasattr(self.obj584, '_setHierarchicalLink')):
    self.obj584._setHierarchicalLink(False)
  
  self.obj584.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_PN_ToTrans(1000.0,204.5,self.obj584)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj584.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj584)
  self.globalAndLocalPostcondition(self.obj584, rootNode)
  self.obj584.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj585 ---
  self.obj585=PN_FromTrans(self)
  self.obj585.isGraphObjectVisual = True
  
  if(hasattr(self.obj585, '_setHierarchicalLink')):
    self.obj585._setHierarchicalLink(False)
  
  self.obj585.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_PN_FromTrans(1000.0,204.5,self.obj585)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj585.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj585)
  self.globalAndLocalPostcondition(self.obj585, rootNode)
  self.obj585.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj586 ---
  self.obj586=PN_FromTrans(self)
  self.obj586.isGraphObjectVisual = True
  
  if(hasattr(self.obj586, '_setHierarchicalLink')):
    self.obj586._setHierarchicalLink(False)
  
  self.obj586.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_PN_FromTrans(1000.0,204.5,self.obj586)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj586.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj586)
  self.globalAndLocalPostcondition(self.obj586, rootNode)
  self.obj586.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj587 ---
  self.obj587=PN_FromTrans(self)
  self.obj587.isGraphObjectVisual = True
  
  if(hasattr(self.obj587, '_setHierarchicalLink')):
    self.obj587._setHierarchicalLink(False)
  
  self.obj587.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_PN_FromTrans(1000.0,204.5,self.obj587)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj587.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj587)
  self.globalAndLocalPostcondition(self.obj587, rootNode)
  self.obj587.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj588 ---
  self.obj588=T_ForkSplit(self)
  self.obj588.isGraphObjectVisual = True
  
  if(hasattr(self.obj588, '_setHierarchicalLink')):
    self.obj588._setHierarchicalLink(False)
  
  self.obj588.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_T_ForkSplit(1000.0,204.5,self.obj588)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj588.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj588)
  self.globalAndLocalPostcondition(self.obj588, rootNode)
  self.obj588.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj589 ---
  self.obj589=PN_Transition(self)
  self.obj589.isGraphObjectVisual = True
  
  if(hasattr(self.obj589, '_setHierarchicalLink')):
    self.obj589._setHierarchicalLink(False)
  
  # name
  self.obj589.name.setValue('')
  
  self.obj589.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_PN_Transition(1000.0,204.5,self.obj589)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj589.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj589)
  self.globalAndLocalPostcondition(self.obj589, rootNode)
  self.obj589.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj590 ---
  self.obj590=PN_Transition(self)
  self.obj590.isGraphObjectVisual = True
  
  if(hasattr(self.obj590, '_setHierarchicalLink')):
    self.obj590._setHierarchicalLink(False)
  
  # name
  self.obj590.name.setValue('')
  
  self.obj590.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_PN_Transition(1000.0,204.5,self.obj590)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj590.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj590)
  self.globalAndLocalPostcondition(self.obj590, rootNode)
  self.obj590.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj591 ---
  self.obj591=T_Next(self)
  self.obj591.isGraphObjectVisual = True
  
  if(hasattr(self.obj591, '_setHierarchicalLink')):
    self.obj591._setHierarchicalLink(False)
  
  self.obj591.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_T_Next(1000.0,204.5,self.obj591)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj591.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj591)
  self.globalAndLocalPostcondition(self.obj591, rootNode)
  self.obj591.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj592 ---
  self.obj592=T_RoadSegment(self)
  self.obj592.isGraphObjectVisual = True
  
  if(hasattr(self.obj592, '_setHierarchicalLink')):
    self.obj592._setHierarchicalLink(False)
  
  self.obj592.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_T_RoadSegment(1000.0,204.5,self.obj592)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj592.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj592)
  self.globalAndLocalPostcondition(self.obj592, rootNode)
  self.obj592.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj593 ---
  self.obj593=GenericGraphNode(self)
  self.obj593.isGraphObjectVisual = True
  
  if(hasattr(self.obj593, '_setHierarchicalLink')):
    self.obj593._setHierarchicalLink(False)
  
  self.obj593.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_GenericGraphNode(1000.0,204.5,self.obj593)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj593.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj593)
  self.globalAndLocalPostcondition(self.obj593, rootNode)
  self.obj593.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj594 ---
  self.obj594=GenericGraphNode(self)
  self.obj594.isGraphObjectVisual = True
  
  if(hasattr(self.obj594, '_setHierarchicalLink')):
    self.obj594._setHierarchicalLink(False)
  
  self.obj594.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_GenericGraphNode(1000.0,204.5,self.obj594)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj594.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj594)
  self.globalAndLocalPostcondition(self.obj594, rootNode)
  self.obj594.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj595 ---
  self.obj595=GenericGraphNode(self)
  self.obj595.isGraphObjectVisual = True
  
  if(hasattr(self.obj595, '_setHierarchicalLink')):
    self.obj595._setHierarchicalLink(False)
  
  self.obj595.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_GenericGraphNode(1000.0,204.5,self.obj595)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj595.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj595)
  self.globalAndLocalPostcondition(self.obj595, rootNode)
  self.obj595.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj596 ---
  self.obj596=GenericGraphNode(self)
  self.obj596.isGraphObjectVisual = True
  
  if(hasattr(self.obj596, '_setHierarchicalLink')):
    self.obj596._setHierarchicalLink(False)
  
  self.obj596.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_GenericGraphNode(1000.0,204.5,self.obj596)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj596.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj596)
  self.globalAndLocalPostcondition(self.obj596, rootNode)
  self.obj596.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj597 ---
  self.obj597=GenericGraphNode(self)
  self.obj597.isGraphObjectVisual = True
  
  if(hasattr(self.obj597, '_setHierarchicalLink')):
    self.obj597._setHierarchicalLink(False)
  
  self.obj597.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_GenericGraphNode(1000.0,204.5,self.obj597)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj597.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj597)
  self.globalAndLocalPostcondition(self.obj597, rootNode)
  self.obj597.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj598 ---
  self.obj598=GenericGraphEdge(self)
  self.obj598.isGraphObjectVisual = True
  
  if(hasattr(self.obj598, '_setHierarchicalLink')):
    self.obj598._setHierarchicalLink(False)
  
  self.obj598.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_GenericGraphEdge(1000.0,204.5,self.obj598)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj598.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj598)
  self.globalAndLocalPostcondition(self.obj598, rootNode)
  self.obj598.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj599 ---
  self.obj599=GenericGraphEdge(self)
  self.obj599.isGraphObjectVisual = True
  
  if(hasattr(self.obj599, '_setHierarchicalLink')):
    self.obj599._setHierarchicalLink(False)
  
  self.obj599.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_GenericGraphEdge(1000.0,204.5,self.obj599)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj599.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj599)
  self.globalAndLocalPostcondition(self.obj599, rootNode)
  self.obj599.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj600 ---
  self.obj600=GenericGraphEdge(self)
  self.obj600.isGraphObjectVisual = True
  
  if(hasattr(self.obj600, '_setHierarchicalLink')):
    self.obj600._setHierarchicalLink(False)
  
  self.obj600.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_GenericGraphEdge(1000.0,204.5,self.obj600)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj600.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj600)
  self.globalAndLocalPostcondition(self.obj600, rootNode)
  self.obj600.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj601 ---
  self.obj601=GenericGraphEdge(self)
  self.obj601.isGraphObjectVisual = True
  
  if(hasattr(self.obj601, '_setHierarchicalLink')):
    self.obj601._setHierarchicalLink(False)
  
  self.obj601.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_GenericGraphEdge(1000.0,204.5,self.obj601)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj601.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj601)
  self.globalAndLocalPostcondition(self.obj601, rootNode)
  self.obj601.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj602 ---
  self.obj602=GenericGraphEdge(self)
  self.obj602.isGraphObjectVisual = True
  
  if(hasattr(self.obj602, '_setHierarchicalLink')):
    self.obj602._setHierarchicalLink(False)
  
  self.obj602.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_GenericGraphEdge(1000.0,204.5,self.obj602)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj602.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj602)
  self.globalAndLocalPostcondition(self.obj602, rootNode)
  self.obj602.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj603 ---
  self.obj603=GenericGraphEdge(self)
  self.obj603.isGraphObjectVisual = True
  
  if(hasattr(self.obj603, '_setHierarchicalLink')):
    self.obj603._setHierarchicalLink(False)
  
  self.obj603.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_GenericGraphEdge(1000.0,204.5,self.obj603)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj603.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj603)
  self.globalAndLocalPostcondition(self.obj603, rootNode)
  self.obj603.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj604 ---
  self.obj604=GenericGraphEdge(self)
  self.obj604.isGraphObjectVisual = True
  
  if(hasattr(self.obj604, '_setHierarchicalLink')):
    self.obj604._setHierarchicalLink(False)
  
  self.obj604.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_GenericGraphEdge(1000.0,204.5,self.obj604)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj604.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj604)
  self.globalAndLocalPostcondition(self.obj604, rootNode)
  self.obj604.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj605 ---
  self.obj605=GenericGraphEdge(self)
  self.obj605.isGraphObjectVisual = True
  
  if(hasattr(self.obj605, '_setHierarchicalLink')):
    self.obj605._setHierarchicalLink(False)
  
  self.obj605.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_GenericGraphEdge(1000.0,204.5,self.obj605)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj605.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj605)
  self.globalAndLocalPostcondition(self.obj605, rootNode)
  self.obj605.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj606 ---
  self.obj606=GenericGraphEdge(self)
  self.obj606.isGraphObjectVisual = True
  
  if(hasattr(self.obj606, '_setHierarchicalLink')):
    self.obj606._setHierarchicalLink(False)
  
  self.obj606.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_GenericGraphEdge(1000.0,204.5,self.obj606)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj606.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj606)
  self.globalAndLocalPostcondition(self.obj606, rootNode)
  self.obj606.postAction( rootNode.CREATE )
  
  # --- Generating code for self.obj607 ---
  self.obj607=GenericGraphEdge(self)
  self.obj607.isGraphObjectVisual = True
  
  if(hasattr(self.obj607, '_setHierarchicalLink')):
    self.obj607._setHierarchicalLink(False)
  
  self.obj607.graphClass_= graph_GenericGraphEdge
  if self.genGraphics:
    new_obj = graph_GenericGraphEdge(1000.0,204.5,self.obj607)
    new_obj.DrawObject(self.UMLmodel)
    self.UMLmodel.addtag_withtag("GenericGraphEdge", new_obj.tag)
    new_obj.layConstraints = dict() # Graphical Layout Constraints
  else: new_obj = None
  self.obj607.graphObject_ = new_obj
  
  # Add node to the root: rootNode
  rootNode.addNode(self.obj607)
  self.globalAndLocalPostcondition(self.obj607, rootNode)
  self.obj607.postAction( rootNode.CREATE )
  
  self.drawConnections(
(self.obj500,self.obj501,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj501,self.obj520,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj502,self.obj504,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj503,self.obj515,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj504,self.obj503,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj505,self.obj520,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj506,self.obj502,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj507,self.obj509,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj508,self.obj506,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj509,self.obj508,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj510,self.obj511,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj511,self.obj514,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj511,self.obj505,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj512,self.obj513,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj513,self.obj506,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj514,self.obj512,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj515,self.obj516,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj516,self.obj518,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj517,self.obj582,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj518,self.obj517,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj519,self.obj592,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj520,self.obj522,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj520,self.obj519,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj521,self.obj523,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj522,self.obj521,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj523,self.obj515,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj524,self.obj529,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj525,self.obj530,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj526,self.obj550,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj527,self.obj551,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj528,self.obj554,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj529,self.obj526,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj530,self.obj527,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj531,self.obj554,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj532,self.obj524,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj533,self.obj525,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj534,self.obj540,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj535,self.obj539,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj536,self.obj532,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj537,self.obj533,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj538,self.obj542,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj539,self.obj537,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj540,self.obj536,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj541,self.obj543,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj542,self.obj546,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj542,self.obj528,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj543,self.obj548,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj543,self.obj531,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj544,self.obj547,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj545,self.obj549,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj546,self.obj544,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj547,self.obj532,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj548,self.obj545,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj549,self.obj533,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj550,self.obj555,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj551,self.obj556,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj552,self.obj557,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj553,self.obj507,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj554,self.obj569,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj554,self.obj571,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj554,self.obj573,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj554,self.obj575,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj554,self.obj562,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj555,self.obj560,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj556,self.obj560,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj557,self.obj561,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj558,self.obj552,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj559,self.obj553,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj560,self.obj558,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj561,self.obj559,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj562,self.obj563,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj563,self.obj577,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj563,self.obj510,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj564,self.obj570,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj565,self.obj572,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj566,self.obj574,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj567,self.obj576,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj568,self.obj578,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj569,self.obj564,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj570,self.obj550,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj571,self.obj565,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj572,self.obj551,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj573,self.obj566,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj574,self.obj560,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj575,self.obj567,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj576,self.obj552,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj577,self.obj568,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj578,self.obj553,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj579,self.obj534,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj580,self.obj535,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj581,self.obj583,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj582,self.obj584,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj583,self.obj589,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj584,self.obj590,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj585,self.obj579,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj586,self.obj580,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj587,self.obj581,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj588,self.obj598,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj588,self.obj600,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj588,self.obj602,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj588,self.obj604,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj588,self.obj541,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj588,self.obj538,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj589,self.obj585,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj589,self.obj586,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj590,self.obj587,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj591,self.obj588,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj592,self.obj591,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj592,self.obj606,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj593,self.obj601,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj594,self.obj599,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj595,self.obj603,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj596,self.obj605,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj597,self.obj607,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj598,self.obj594,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj599,self.obj579,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj600,self.obj593,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj601,self.obj580,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj602,self.obj595,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj603,self.obj589,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj604,self.obj596,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj605,self.obj581,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj606,self.obj597,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
  self.drawConnections(
(self.obj607,self.obj582,[266.0, 288.0, 322.0, 288.0],"true", 2) )
  
newfunction = Transformed_MDL

loadedMMName = ['GenericGraph', 'Traffic_META', 'PN_PetriNet_META']

atom3version = '0.3'
